Package io.milvus.param

## Enum MetricType

- java.lang.Object
- - java.lang.Enum<MetricType>
  - - io.milvus.param.MetricType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<MetricType>`

      public enum MetricType
      extends java.lang.Enum<MetricType>

  Represents the available metric types. For more information: @see Similarity Metrics

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COSINE` |
    `HAMMING` |
    `INVALID` |
    `IP` |
    `JACCARD` |
    `L2` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MetricType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static MetricType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INVALID

          public static final MetricType INVALID

    - #### L2

          public static final MetricType L2

    - #### IP

          public static final MetricType IP

    - #### COSINE

          public static final MetricType COSINE

    - #### HAMMING

          public static final MetricType HAMMING

    - #### JACCARD

          public static final MetricType JACCARD

  - ### Method Detail

    - #### values

          public static MetricType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MetricType c : MetricType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MetricType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null